(function($) {
    'use strict';

    var WidgetTestimonialThumbCarouselHandler = function ($scope) {
        console.log('test')
        // Testinomials Carousel
        if ($('.testimonial-content').length) {
            var testimonial_thumbs = new Swiper('.testimonial-thumbs', {
                spaceBetween: 0,
                direction: "vertical",
                loop: false,
                slidesPerView: 3,
                breakpoints: {
                    320: {
                        slidesPerView: 3,
                    },
                    600: {
                        slidesPerView: 3,
                    },
                }

            });

            var testimonial_content = new Swiper('.testimonial-content', {
                spaceBetween: 0,
                effect: 'fade',
                loop: true,
                thumbs: {
                    swiper: testimonial_thumbs
                },
                pagination: {
                    el: '.testimonial-pagination',
                    clickable: true,
                },
            });
        }

    };

    //elementor front start
    $(window).on("elementor/frontend/init", function () {
        elementorFrontend.hooks.addAction(
            "frontend/element_ready/tm-ele-cpt-testimonials.skin-style-current-theme4",
            WidgetTestimonialThumbCarouselHandler
        );
    });
    $(window).on("elementor/editor/before_enqueue_scripts", function () {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {
            WidgetTestimonialThumbCarouselHandler
        } );
    });


})(jQuery);