<?php $full_image_url = get_the_post_thumbnail_url( get_the_ID(), 'medium' );?>

<div <?php post_class( '' );?>>
	<div class="service-item-current-style4">
		<div class="feature-one__single">
			<?php if ( $show_thumb == 'yes' ): ?>
			<div class="feature-one__img-box">
				<div class="feature-one__img">
					<?php echo get_the_post_thumbnail( get_the_ID(), $feature_thumb_image_size, array( 'class' => '' ) ); ?>
				</div>
				<div class="feature-one__icon-box">
					<div class="feature-one__icon-title-box">
						<?php if ( $show_title == 'yes' ): ?>
							<<?php echo esc_attr( $title_tag ); ?> class="title"><a href="<?php the_permalink();?>"><?php the_title();?></a></<?php echo esc_attr( $title_tag ); ?>>
						<?php endif;?>
					</div>
					<div class="feature-one__icon">
						<?php if ( $show_service_icon == 'yes' ): ?>
							<?php mascot_core_cooltech_get_cpt_shortcode_template_part( 'icon', null, 'services/tpl', $params, false );?>
						<?php endif;?>
					</div>
				</div>
				<div class="feature-one__hover">
					<div class="feature-one__hover-bg" style="--service-current-style4-bg-featured-image: url('<?php echo esc_url($full_image_url);?>');">
					</div>
					<div class="feature-one__hover-icon">
						<?php if ( $show_service_icon == 'yes' ): ?>
							<?php mascot_core_cooltech_get_cpt_shortcode_template_part( 'icon', null, 'services/tpl', $params, false );?>
						<?php endif;?>
					</div>
					<?php if ( $show_title == 'yes' ): ?>
						<<?php echo esc_attr( $title_tag ); ?> class="title"><a href="<?php the_permalink();?>"><?php the_title();?></a></<?php echo esc_attr( $title_tag ); ?>>
					<?php endif;?>
					<?php if ( $show_excerpt == 'yes' ): ?>
					<?php if ( empty( $excerpt_length ) ) {?>
						<p class="excerpt service-details">
							<?php echo esc_html( strip_shortcodes( get_the_excerpt() ) ) ?>
						</p>
					<?php } else {?>
						<p class="excerpt service-details">
							<?php $excerpt = get_the_excerpt(); echo esc_html( cooltech_slice_excerpt_by_length( $excerpt, $excerpt_length ) );?>
						</p>
						<?php }?>
					<?php endif;?>
				</div>
			</div>
			<?php endif;?>
		</div>
	</div>
</div>